---
schema_version: "1"
id: a55fe6b1c4d3c0a560c7af829301593987dca7fbd6522bef22b15bd32dedc3b9
title: List Info Input
collection: legacydeveloper
version: current
locale: en-us
portal_url: https://docs.salesforce.com/legacydeveloper/current/en-us/uiapi/ui_api_requests_list_info_input.md
canonical_url: https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_requests_list_info_input.htm
source_site: developer.salesforce.com
content_type: documentation
content_hash: 7023835fad7200d6168e9a425d1a7a59c114c71dced6f57b0f0286c8bf98147a
description: Info to update a list.
---
# List Info Input

Info to update a list.

Example

This example uses a request body to update the metadata for a list view. The object API name is Account and the list view API name is AllAccounts.

PATCH /services/data/v68.0/ui-api/list-info/Account/AllAccounts

{
"filteredByInfo": \[
  {
  "fieldApiName": "Name",
  "operandLabels": \[ "This", "That"\],
  "operator": "Equals"
  },
  {
  "fieldApiName": "Phone",
  "operandLabels": \[ "919"\],
  "operator": "StartsWith"
  },
{
  "fieldApiName": "AnnualRevenue",
  "operandLabels": \[ "1000000"\],
  "operator": "GreaterThan"
  }
\],
"filterLogicString" : "(1 OR 2) AND 3",
"label": "Accounts opened this year",
"scope": {
  "apiName": "entity",
  "entityId": "00Gxx000000sjI8",
  "relatedEntityId": "701xx000003HZ7X"
},
"visibility": "Public"
}

Properties

<table class="featureTable sort_table" summary="">





              <thead class="thead sorted" align="left">
                <tr>
                  <th class="featureTableHeader vertical-align-top " id="d23962e69">Name</th>

                  <th class="featureTableHeader vertical-align-top " id="d23962e72">Type</th>

                  <th class="featureTableHeader vertical-align-top " id="d23962e75">Description</th>

                  <th class="featureTableHeader vertical-align-top " id="d23962e78">Required or Optional</th>

                  <th class="featureTableHeader vertical-align-top " id="d23962e81">Available Version</th>

                </tr>

              </thead>

              <tbody class="tbody">
                <tr>
                  <td class="entry" headers="d23962e69" data-title="Name"><samp class="codeph nolang">displayColumns</samp></td>

                  <td class="entry" headers="d23962e72" data-title="Type">String[]</td>

                  <td class="entry" headers="d23962e75" data-title="Description">Display columns (field API names) for the list.</td>

                  <td class="entry" headers="d23962e78" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d23962e81" data-title="Available Version">61.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d23962e69" data-title="Name"><samp class="codeph nolang">filterLogicString</samp></td>

                  <td class="entry" headers="d23962e72" data-title="Type">String</td>

                  <td class="entry" headers="d23962e75" data-title="Description">Filter logic string, such as (1 OR 2) and 3. Indexes start with
                    1.</td>

                  <td class="entry" headers="d23962e78" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d23962e81" data-title="Available Version">61.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d23962e69" data-title="Name"><samp class="codeph nolang">filteredByInfo</samp></td>

                  <td class="entry" headers="d23962e72" data-title="Type">
                    <a class="xref" href="https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_requests_list_filter_by_info_input.htm" title="List filter by info to update or create.">List Filter By Info Input</a>[]
                  </td>

                  <td class="entry" headers="d23962e75" data-title="Description">Filtering information for the list.</td>

                  <td class="entry" headers="d23962e78" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d23962e81" data-title="Available Version">61.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d23962e69" data-title="Name"><samp class="codeph nolang">label</samp></td>

                  <td class="entry" headers="d23962e72" data-title="Type">String</td>

                  <td class="entry" headers="d23962e75" data-title="Description">List’s display label, for example, All Accounts.</td>

                  <td class="entry" headers="d23962e78" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d23962e81" data-title="Available Version">61.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d23962e69" data-title="Name"><samp class="codeph nolang">listShares</samp></td>

                  <td class="entry" headers="d23962e72" data-title="Type">String[]</td>

                  <td class="entry" headers="d23962e75" data-title="Description">Objects the list is shared with, if visibility is shared.</td>

                  <td class="entry" headers="d23962e78" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d23962e81" data-title="Available Version">61.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d23962e69" data-title="Name"><samp class="codeph nolang">scope</samp></td>

                  <td class="entry" headers="d23962e72" data-title="Type"><a class="xref" href="https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_requests_list_scope_input.htm" title="List scope to update or create.">List Scope Input</a></td>

                  <td class="entry" headers="d23962e75" data-title="Description">Scope information for the list.</td>

                  <td class="entry" headers="d23962e78" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d23962e81" data-title="Available Version">61.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d23962e69" data-title="Name"><samp class="codeph nolang">visibility</samp></td>

                  <td class="entry" headers="d23962e72" data-title="Type">String</td>

                  <td class="entry" headers="d23962e75" data-title="Description">List’s visibility. One of these values: <ul class="ul bulletList">
                      <li class="li"><samp class="codeph nolang">Private</samp></li>

                      <li class="li"><samp class="codeph nolang">Public</samp></li>

                      <li class="li"><samp class="codeph nolang">Shared</samp></li>

                    </ul>
                  </td>

                  <td class="entry" headers="d23962e78" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d23962e81" data-title="Available Version">61.0</td>

                </tr>

              </tbody>

            </table>

#### See Also

- [Update List View Metadata](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_resources_list_views_md_patch.htm "Update list view metadata.")